Skip to main content
PATCH
/
sources
/
{source_id}
/
classification
Update Source Classification
curl --request PATCH \
  --url https://apigcp.trynia.ai/v2/sources/{source_id}/classification \
  --header 'Content-Type: application/json' \
  --data '
{
  "categories": [
    "<string>"
  ],
  "include_uncategorized": true
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Path Parameters

source_id
string
required

Query Parameters

type
enum<string> | null

Source type hint

Available options:
repository,
documentation,
research_paper,
huggingface_dataset,
local_folder

Body

application/json

Request to classify local folder content.

categories
string[]
required

Categories to classify content into (2-10 categories)

Required array length: 2 - 10 elements
include_uncategorized
boolean
default:true

Whether to include an 'Uncategorized' bucket for edge cases

Response

Successful Response